PGPLiteralData
Date: 2016-06-23

org.bouncycastle.openpgp

## Class PGPLiteralData

- java.lang.Object
- - org.bouncycastle.openpgp.PGPLiteralData

-     public class PGPLiteralData
      extends java.lang.Object

  A single literal data packet in a PGP object stream.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `BINARY` Format tag for binary literal data
    `static java.lang.String` | `CONSOLE` The special name indicating a "for your eyes only" packet.
    `static java.util.Date` | `NOW` The special time for a modification time of "now" or the present time.
    `static char` | `TEXT` Format tag for textual literal data
    `static char` | `UTF8` Format tag for UTF-8 encoded textual literal data

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PGPLiteralData(BCPGInputStream pIn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getDataStream()` Return the input stream representing the data stream.
    `java.lang.String` | `getFileName()` Return the file name associated with the data packet.
    `int` | `getFormat()` Return the format of the data packet.
    `java.io.InputStream` | `getInputStream()` Return the raw input stream for the data packet.
    `java.util.Date` | `getModificationTime()` Return the modification time for the file (at second level precision).
    `byte[]` | `getRawFileName()` Return the file name as an uninterpreted (UTF-8 encoded) byte array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BINARY

          public static final char BINARY

      Format tag for binary literal data
      See Also:
        Constant Field Values

    - #### TEXT

          public static final char TEXT

      Format tag for textual literal data
      See Also:
        Constant Field Values

    - #### UTF8

          public static final char UTF8

      Format tag for UTF-8 encoded textual literal data
      See Also:
        Constant Field Values

    - #### CONSOLE

          public static final java.lang.String CONSOLE

      The special name indicating a "for your eyes only" packet.
      See Also:
        Constant Field Values

    - #### NOW

          public static final java.util.Date NOW

      The special time for a modification time of "now" or the present time.

  - ### Constructor Detail

    - #### PGPLiteralData

          public PGPLiteralData(BCPGInputStream pIn)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getFormat

          public int getFormat()

      Return the format of the data packet. One of `BINARY`, `TEXT` or `UTF8`

    - #### getFileName

          public java.lang.String getFileName()

      Return the file name associated with the data packet.

    - #### getRawFileName

          public byte[] getRawFileName()

      Return the file name as an uninterpreted (UTF-8 encoded) byte array.

    - #### getModificationTime

          public java.util.Date getModificationTime()

      Return the modification time for the file (at second level precision).

    - #### getInputStream

          public java.io.InputStream getInputStream()

      Return the raw input stream for the data packet.

    - #### getDataStream

          public java.io.InputStream getDataStream()

      Return the input stream representing the data stream.
      Equivalent to `getInputStream()`.